#2265 closed enhancement (fixed)

Deprecate and Obsolete notepads

Reported by: Joel Sherrill Owned by: Gedare
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

I would like to mark notepads as deprecated now and remove them post 4.11.

I marked this as 4.11 as marking it deprecated us a 4.11 issue. When that is done, we can move removal to 5.0 and change the milestone.

Comments?

Change History (5)

comment:1 Changed on Feb 13, 2015 at 7:30:23 PM by Chris Johns

Do you mean the Classic API notepads ?
What is the reason ?
What is the alternative ?

comment:2 Changed on Feb 13, 2015 at 7:51:47 PM by Joel Sherrill

They have multiple issues. Per task variables were added to the API after the first releases so notepad was a poor alternative.

First, is that they have the same problem that lead to splitting events into system and user sets. There has to be universal agreement on the notepad slots used.

Second, they are just uint32_t and thus not guaranteed to hold a pointer.

On a uniprocessor system, you are probably better off from a performance point of view using per task variables.

Overall, you are better off using POSIX keys or thread local storage.

I haven't recommended its use in the class for over a decade. Just trying to clean out cruft.
:)

comment:3 Changed on Feb 13, 2015 at 11:14:46 PM by Chris Johns

Thanks for the details. I support the removal.

On the topic of task variables, that API should also be removed as POSIX key and TLS are standard's based solutions and work on uniprocessor and SMP systems meaning user code is portable.

Should this ticket be expanded to include task variables so RTEMS then provides a single stable standard based solution ?

comment:4 Changed on Mar 7, 2015 at 4:42:52 PM by Joel Sherrill

Owner: changed from Joel Sherrill to Gedare
Status: newassigned

comment:5 Changed on Mar 10, 2015 at 8:27:31 PM by Gedare

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.